> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mielto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Chunks Batch

> Delete multiple chunks in a single request.

Args:
    request: DeleteChunksRequest with chunk IDs to delete

Returns:
    DeleteChunksResponse with deletion results

Examples:
    Delete multiple chunks:
        POST /chunks/delete
        {
            "chunk_ids": ["chunk_123", "chunk_456", "chunk_789"]
        }



## OpenAPI

````yaml api-reference/openapi.json post /api/v1/chunks/delete
openapi: 3.1.0
info:
  title: FastAPI app
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/chunks/delete:
    post:
      tags:
        - Chunks
      summary: Delete Chunks Batch
      description: |-
        Delete multiple chunks in a single request.

        Args:
            request: DeleteChunksRequest with chunk IDs to delete

        Returns:
            DeleteChunksResponse with deletion results

        Examples:
            Delete multiple chunks:
                POST /chunks/delete
                {
                    "chunk_ids": ["chunk_123", "chunk_456", "chunk_789"]
                }
      operationId: delete_chunks_batch_api_v1_chunks_delete_post
      parameters:
        - name: X-Workspace-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The workspace ID
            title: X-Workspace-Id
          description: The workspace ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteChunksRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteChunksResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - DualAuthScheme: []
components:
  schemas:
    DeleteChunksRequest:
      properties:
        chunk_ids:
          items:
            type: string
          type: array
          title: Chunk Ids
          description: List of chunk IDs to delete
      type: object
      required:
        - chunk_ids
      title: DeleteChunksRequest
      description: Request to delete multiple chunks.
    DeleteChunksResponse:
      properties:
        status:
          type: string
          title: Status
          description: Status of the operation
        deleted_count:
          type: integer
          title: Deleted Count
          description: Number of chunks deleted
          default: 0
        failed_ids:
          items:
            type: string
          type: array
          title: Failed Ids
          description: Chunk IDs that failed to delete
        message:
          type: string
          title: Message
          description: Summary message
      type: object
      required:
        - status
        - message
      title: DeleteChunksResponse
      description: Response for chunk deletion.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    DualAuthScheme:
      type: http
      scheme: bearer

````